Delete LLM Observability datasets

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.ap2.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.datadoghq.eu/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.us2.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.us3.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/deletehttps://api.us5.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/delete

Overview

Delete one or more LLM Observability datasets within the specified project.

Arguments

Path Parameters

Name

Type

Description

project_id [required]

string

The ID of the LLM Observability project.

Request

Body Data (required)

Delete datasets payload.

Expand All

Field

Type

Description

data [required]

object

Data object for deleting LLM Observability datasets.

attributes [required]

object

Attributes for deleting LLM Observability datasets.

dataset_ids [required]

[string]

List of dataset IDs to delete.

type [required]

enum

Resource type of an LLM Observability dataset. Allowed enum values: datasets

{
  "data": {
    "attributes": {
      "dataset_ids": [
        "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d"
      ]
    },
    "type": "datasets"
  }
}

Response

No Content

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export project_id="a33671aa-24fd-4dcd-9b33-a8ec7dde7751"
# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/llm-obs/v1/${project_id}/datasets/delete" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "dataset_ids": [ "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ] }, "type": "datasets" } } EOF
"""
Delete LLM Observability datasets returns "No Content" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_dataset_type import LLMObsDatasetType
from datadog_api_client.v2.model.llm_obs_delete_datasets_data_attributes_request import (
    LLMObsDeleteDatasetsDataAttributesRequest,
)
from datadog_api_client.v2.model.llm_obs_delete_datasets_data_request import LLMObsDeleteDatasetsDataRequest
from datadog_api_client.v2.model.llm_obs_delete_datasets_request import LLMObsDeleteDatasetsRequest

body = LLMObsDeleteDatasetsRequest(
    data=LLMObsDeleteDatasetsDataRequest(
        attributes=LLMObsDeleteDatasetsDataAttributesRequest(
            dataset_ids=[
                "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d",
            ],
        ),
        type=LLMObsDatasetType.DATASETS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["delete_llm_obs_datasets"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    api_instance.delete_llm_obs_datasets(project_id="project_id", body=body)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Delete LLM Observability datasets returns "No Content" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.delete_llm_obs_datasets".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

body = DatadogAPIClient::V2::LLMObsDeleteDatasetsRequest.new({
  data: DatadogAPIClient::V2::LLMObsDeleteDatasetsDataRequest.new({
    attributes: DatadogAPIClient::V2::LLMObsDeleteDatasetsDataAttributesRequest.new({
      dataset_ids: [
        "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d",
      ],
    }),
    type: DatadogAPIClient::V2::LLMObsDatasetType::DATASETS,
  }),
})
api_instance.delete_llm_obs_datasets("project_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Delete LLM Observability datasets returns "No Content" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.LLMObsDeleteDatasetsRequest{
		Data: datadogV2.LLMObsDeleteDatasetsDataRequest{
			Attributes: datadogV2.LLMObsDeleteDatasetsDataAttributesRequest{
				DatasetIds: []string{
					"9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d",
				},
			},
			Type: datadogV2.LLMOBSDATASETTYPE_DATASETS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.DeleteLLMObsDatasets", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	r, err := api.DeleteLLMObsDatasets(ctx, "project_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.DeleteLLMObsDatasets`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Delete LLM Observability datasets returns "No Content" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsDatasetType;
import com.datadog.api.client.v2.model.LLMObsDeleteDatasetsDataAttributesRequest;
import com.datadog.api.client.v2.model.LLMObsDeleteDatasetsDataRequest;
import com.datadog.api.client.v2.model.LLMObsDeleteDatasetsRequest;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.deleteLLMObsDatasets", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    LLMObsDeleteDatasetsRequest body =
        new LLMObsDeleteDatasetsRequest()
            .data(
                new LLMObsDeleteDatasetsDataRequest()
                    .attributes(
                        new LLMObsDeleteDatasetsDataAttributesRequest()
                            .datasetIds(
                                Collections.singletonList("9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d")))
                    .type(LLMObsDatasetType.DATASETS));

    try {
      apiInstance.deleteLLMObsDatasets("a33671aa-24fd-4dcd-9b33-a8ec7dde7751", body);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#deleteLLMObsDatasets");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Delete LLM Observability datasets returns "No Content" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsDatasetType;
use datadog_api_client::datadogV2::model::LLMObsDeleteDatasetsDataAttributesRequest;
use datadog_api_client::datadogV2::model::LLMObsDeleteDatasetsDataRequest;
use datadog_api_client::datadogV2::model::LLMObsDeleteDatasetsRequest;

#[tokio::main]
async fn main() {
    let body = LLMObsDeleteDatasetsRequest::new(LLMObsDeleteDatasetsDataRequest::new(
        LLMObsDeleteDatasetsDataAttributesRequest::new(vec![
            "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d".to_string(),
        ]),
        LLMObsDatasetType::DATASETS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.DeleteLLMObsDatasets", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .delete_llm_obs_datasets("project_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Delete LLM Observability datasets returns "No Content" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.deleteLLMObsDatasets"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

const params: v2.LLMObservabilityApiDeleteLLMObsDatasetsRequest = {
  body: {
    data: {
      attributes: {
        datasetIds: ["9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d"],
      },
      type: "datasets",
    },
  },
  projectId: "project_id",
};

apiInstance
  .deleteLLMObsDatasets(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"